/******************************************************************************

    Copyright (C) 2010 Sebastian Pancratz

    Distributed under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.

    http://www.gnu.org/licenses/

******************************************************************************/

/**
 * \file    fmpz_poly_q-example.c
 * \brief   Simple example
 * \author  Sebastian Pancratz
 * \date    Jan 2010
 * 
 * This file contains a very small example.
 */

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include "fmpz_poly_q.h"

int main(int argc, char *argv[])
{
    char *str, *strf, *strg;
    fmpz_poly_q_t f, g;
    fmpz_poly_q_init(f);
    fmpz_poly_q_init(g);
    fmpz_poly_q_from_string(f, "2  1 3/1  2");
    fmpz_poly_q_from_string(g, "1  3/2  2 7");
    strf = fmpz_poly_q_to_string_pretty(f, "t");
    strg = fmpz_poly_q_to_string_pretty(g, "t");
    fmpz_poly_q_mul(f, f, g);
    str  = fmpz_poly_q_to_string_pretty(f, "t");
    printf("%s * %s = %s\n", strf, strg, str);
    free(str);
    free(strf);
    free(strg);
    fmpz_poly_q_clear(f);
    fmpz_poly_q_clear(g);
}

